Wizardprogress Upsert wizard progress
POST
/control-plane/api/v1/v1/organization/{organization_id}/wizard-progress/{documentation_id}

Authentication

API Key (BearerAuth)

  • Header: Authorization

Path Parameters

documentation_idstringrequired

Documentation ID


Request Body

Wizard progress input

Required

current_stepstringrequired

documentation_idstring

section_idstring

section_namestring

section_typestring

Example:

{
  "current_step": "string",
  "documentation_id": "string",
  "section_id": "string",
  "section_name": "string",
  "section_type": "string"
}

Responses

200
OK

Response Fields:

  • created_at (string)

  • current_step (string)

  • documentation_id (string)

  • documentation_name (string)

  • id (string)

  • organization_id (string)

  • section_id (string)

  • section_name (string)

  • section_type (string)

  • updated_at (string)

Example:

{
  "created_at": "string",
  "current_step": "string",
  "documentation_id": "string",
  "documentation_name": "string",
  "id": "string",
  "organization_id": "string",
  "section_id": "string",
  "section_name": "string",
  "section_type": "string",
  "updated_at": "string"
}
400
Bad Request

Example:

{
  "key": "value"
}
401
Unauthorized

Example:

{
  "key": "value"
}
500
Internal Server Error

Example:

{
  "key": "value"
}